local socket = require("socket")
local https = require("https")
local json = require("vendor.json")

local weatherURL = 'https://openweathermap.org/data/2.5/weather?id=6695624&units=metric&appid=439d4b804bc8187953eb36d2a8c26a02'
--local insideURL = 'https://dht01.waw.hackerspace.pl/'
--local insideData = {}

local c, r, h = https.request(weatherURL)
if c == 200 then
  local data = json.decode(r)

  --local r, c, h = http.request(insideURL)
  --if c == 200 then
  --  for n in string.gmatch(string.gsub(r, ",", "."), ":%s*(%S+)[*%%]") do
  --    insideData[#insideData+1] = n
  --  end
  --end

  love.thread.getChannel('weather'):push({
    weather = data.weather[1].main:lower(),
    temperature = data.main.temp,
    lastUpdate = data.dt,
    sunRise = data.sys.sunrise,
    sunSet = data.sys.sunset,
    insideTemperature = nil,
    insideHumidity = nil,
  })
  print("Update finished")
else
  print("Update failed")
end
